Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Brother DCP-7057R через роутер  (Прочитано 6020 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн SergeyIT

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 4238
  • Все по палатам!
    • Просмотр профиля
Re: Brother DCP-7057R через роутер
« Ответ #15 : 05 Август 2016, 13:46:29 »
Alsmir, если выполнил все процедуры с сайта производителя перед установкой (http://support.brother.com/g/s/id/linux/en/before.html?c=ru&lang=ru&prod=dcp7057r_eu&redirect=on), то все должно работать. Была как-то только проблема в диалоге Принтеры, там правильно прописать надо (не помню, вечером дома посмотрю)

Пользователь добавил сообщение 06 Август 2016, 00:17:42:
Установки в диалоге Printer properties / Settings:
Description: Brother DCP-7070DW
Location: home_pr (не важно)
Device URI: lpd://192.168.1.100/BINARY_P1
Make and Model: Brother BrGenML1 for CUPS

Принтер подключен по вайфай.
« Последнее редактирование: 06 Август 2016, 00:32:19 от SergeyIT »
Извините, я все еще учусь

Оффлайн Alsmir

  • Автор темы
  • Новичок
  • *
  • Сообщений: 9
    • Просмотр профиля
Re: Brother DCP-7057R через роутер
« Ответ #16 : 09 Август 2016, 14:08:01 »

SergeyIT, спасибо за инструкцию

Опишу по шагам:

Pre-required Procedure (1)
Alsmir: lppasswd -g sys -a root
Команда 'lppasswd' не найдена, возможно вы имели в виду:
 Команда 'lpasswd' из пакета 'libuser' (universe)
 Команда 'yppasswd' из пакета 'yp-tools' (universe)
 Команда 'yppasswd' из пакета 'nis' (universe)
lppasswd: команда не найдена

Pre-required Procedure (2)
Alsmir: sudo aa-complain cupsd
Setting /usr/sbin/cupsd to complain mode.

Alsmir: sudo mkdir /usr/share/cups/model
mkdir: невозможно создать каталог «/usr/share/cups/model»: Файл существует

Pre-required Procedure (3)
Alsmir: ln -s /etc/init.d/cups /etc/init.d/lpd
ln: не удалось создать символьную ссылку '/etc/init.d/lpd': Файл существует

Pre-required Procedure (4)
Alsmir: sudo -i
Alsmir: mkdir /var/spool/lpd
mkdir: невозможно создать каталог «/var/spool/lpd»: Файл существует

Pre-required Procedure (5)
Alsmir: apt-get install lib32stdc++
Пакеты, имеющие неудовлетворённые зависимости:
 lib32stdc++6-5-dbg-s390x-cross : Конфликтует: lib32stdc++6-4.9-dbg-s390x-cross но 4.9.3-13ubuntu2cross1 будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

Pre-required Procedure (6)
Не понял что делать

Pre-required Procedure (7)
Alsmir: apt-get install glibc.i686
E: Не удалось найти пакет glibc.i686
E: Не удалось найти пакет с помощью glob «glibc.i686»
E: Не удалось найти пакет с помощью regex «glibc.i686»

Pre-required Procedure (8)
Alsmir: apt-get install brscan
brscan4 is already the newest version (0.4.2-1)

Alsmir: apt-get install brscan2
E: Не удалось найти пакет brscan2

Alsmir: apt-get install brscan3
E: Не удалось найти пакет brscan3

Pre-required Procedure (8)
Alsmir: apt-get install sane
sane is already the newest version (1.0.14-11)

Pre-required Procedure (9)
Тут не понял что делать надо

Pre-required Procedure (10)
Alsmir: sudo aa-complain cupsd
Setting /usr/sbin/cupsd to complain mode.

Alsmir: sudo mkdir /usr/share/cups/model
mkdir: невозможно создать каталог «/usr/share/cups/model»: Файл существует

Pre-required Procedure (11)
Пропустил

Pre-required Procedure (12)
Alsmir: apt-get install psutils
psutils is already the newest version (1.17.dfsg-2)

Pre-required Procedure (13)
Alsmir: apt-get install yum
yum is already the newest version (3.4.3-3)

Alsmir: yum install glibc.i686
Все источники пакетов отключены.
Выполните «yum repolist all» для вывода списка доступных.
Включение производится командой yum-config-manager --enable [источник]

Alsmir: yum-config-manager --enable
Error: Trying to enable already enabled repos.
===================================== main =====================================
[main]
alwaysprompt = True
assumeyes = False
bandwidth = 0
bugtracker_url = http://yum.baseurl.org/report
cache = 0
cachedir = /var/cache/yum
clean_requirements_on_remove = False
color = auto
color_list_available_downgrade = dim,cyan
color_list_available_install = normal
color_list_available_reinstall = bold,underline,green
color_list_available_upgrade = bold,blue
color_list_installed_extra = bold,red
color_list_installed_newer = bold,yellow
color_list_installed_older = bold
color_list_installed_reinstall = normal
color_search_match = bold
color_update_installed = normal
color_update_local = bold
color_update_remote = normal
commands =
debuglevel = 2
diskspacecheck = True
distroverpkg = redhat-release
enable_group_conditionals = True
enabled = True
enablegroups = True
errorlevel = 2
exactarch = True
exactarchlist = kernel,
   kernel-smp,
   kernel-hugemem,
   kernel-enterprise,
   kernel-bigmem,
   kernel-devel,
   kernel-PAE,
   kernel-PAE-debug
exclude =
exit_on_lock = False
failovermethod = roundrobin
gaftonmode = False
gpgcheck = False
group_package_types = mandatory,
   default
groupremove_leaf_only = False
history_list_view = single-user-commands
history_record = True
history_record_packages = yum,
   rpm
http_caching = all
installonly_limit = 0
installonlypkgs = kernel,
   kernel-bigmem,
   kernel-enterprise,
   kernel-smp,
   kernel-modules,
   kernel-debug,
   kernel-unsupported,
   kernel-source,
   kernel-devel,
   kernel-PAE,
   kernel-PAE-debug
installroot = /
keepalive = True
keepcache = True
kernelpkgnames = kernel,
   kernel-smp,
   kernel-enterprise,
   kernel-bigmem,
   kernel-BOOT,
   kernel-PAE,
   kernel-PAE-debug
loadts_ignoremissing = False
loadts_ignorerpm = False
localpkg_gpgcheck = False
logfile = /var/log/yum.log
mdpolicy = group:primary
metadata_expire = 21600
mirrorlist_expire = 86400
multilib_policy = all
obsoletes = True
overwrite_groups = False
password =
persistdir = /var/lib/yum
pluginconfpath = /etc/yum/pluginconf.d
pluginpath = /usr/share/yum-plugins,
   /usr/lib/yum-plugins
plugins = False
progess_obj =
protected_multilib = True
protected_packages = yum
proxy =
proxy_password =
proxy_username =
recent = 7
repo_gpgcheck = False
reposdir = /etc/yum/repos.d,
   /etc/yum.repos.d
retries = 10
rpm_check_debug = True
rpmverbosity = info
showdupesfromrepos = False
skip_broken = False
sslcacert =
sslclientcert =
sslclientkey =
sslverify = True
syslog_device = /dev/log
syslog_facility = LOG_USER
syslog_ident =
throttle = 0
timeout = 30.0
tolerant = True
tsflags =
username =


После выполненных шагов нашел принтер
Свойство принтера:
Описание: Brother DCP-7070DW
Размещение: home
URI устройства: lpd://192.168.1.100/BINARY_P1 (потом выбирал lpd://192.168.1.1/BINARY_P1 так как у меня роутер имеет адрес 1.1)
Марка и модель: Brother BrGenML1 for CUPS
Состояние: Обработка - Принтер используется.

При отправке на печать в диалоге состояние печати документов состояние: Запланировано - не подключен?

В общем и целом пока проблему решить не удалось
Прошу Вашей помощи

 

Страница сгенерирована за 0.069 секунд. Запросов: 24.